function x=D_hor_WP_synth_2DP(wctran,Par,DeTr)
%2D discrete spline wavelet packet synthesis from ``Horizontal``  basis at the level DeTr
%Par -spline order
%wctran--cell  array of  WP coeff. at the level DeTr


List=[];
for mm=1:2^DeTr
for ll=1:2^DeTr

    List=[List;DeTr,mm-1,ll-1];
end
end
[x, sigma]=D_List_synthP_2D(wctran,List,Par);
